Subject: [core] Should we bury draft-ietf-core-interfaces?

From: Carsten Bormann <[email-masked]>
Date: Wed, 20 Mar 2019 21:52:18 +0100

This is one of the oldest drafts still on the roster (created Jan 2012, adopted Jun 2013.):

https://tools.ietf.org/html/draft-ietf-core-interfaces-14

We split off dynlink from that a while ago and now think dynlink will be completed quite soon (a further split of dynlink was contemplated, but a clear separation is now done within the single document).

The parts of core-interfaces that remain have been picked up e.g. by OCF, but in a slightly different way.  As far as we are aware, the original core-interfaces version is not implemented.  Nor would we recommend to implement them exactly as specified.

The most important face value, defining the if= link target attribute, already is done in Section 3.2 of RFC 6690:  https://tools.ietf.org/html/rfc6690#section-3.2
That registry is in very active use by other SDOs.
Core-interfaces intends to add specific values to that registry, but, again, these are not in actual use.
A description of what collections can do maybe can be transferred to the T2TRG “RESTful IoT” draft, or a future, more detailed companion document of that.

At the interim call today we discussed whether core-interfaces, after already having split out all its salient parts into different documents, can now be buried.

If you agree, please say so in a reply; speak up particularly if you don’t agree.
We probably will make a decision in the Friday IETF104 CoRE meeting, so please reply till 2019-03-28.

Grüße, Carsten

---

From: Christian Amsüss <[email-masked]>
Date: Thu, 21 Mar 2019 10:07:13 +0100

Hello Carsten, hello CoRE,

> We probably will make a decision in the Friday IETF104 CoRE meeting, so please reply till 2019-03-28.

I see some use of core-interface terminology in senml-etch. It isn't
made explicit, but the use case description talks of batches of sensor
data, and updates several resources at once. Without the background of
core-interface batches, I think it's not immediately obvious how such a
PATCH is used, and in particular at which resource it is targeted.
(That can be addressed in senml-etch though, and doesn't need to keep
core-interfaces around).

On the procedural side, core-interfaces is part of the WG charter, so
abandoning this draft may need more than just WG consensus.

(Personally, I'll miss core-interfaces, as it shaped my introduction to
CoAP, but let that be motivation to have a good t2trg-rest-iot
document.)

Best regards
Christian

-- 
The tortoise lays on its back, its belly baking in the hot sun, beating
its legs trying to turn itself over, but it can’t, not without your
help. But you’re not helping. Why is that?
  -- Holden, Blade Runner

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 21 Mar 2019 11:22:18 +0100

I think we can check the procedural side (and the editorial implications on other drafts) once we know what we want.

Sent from mobile on the way to Prague

> On 21. Mar 2019, at 10:07, Christian Amsüss <[email-masked]> wrote:
>

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 29 Mar 2019 10:11:59 +0100

The in-room consensus at IETF104 was that we should not “bury” core-interfaces, but hand it over to T2TRG as raw material (for their documents on IoT design under the REST paradigm).

Grüße, Carsten